Subject: [SAM] RE: survey ID

From: "John Buford" <[email-masked]>
Date: Mon, 17 Jul 2006 15:28:18 -0400

Hi Jun,

Let's remove the problem statement section
as we will have a separate ID on this topic.

I think your outline covers the area, but
there are a few papers that survey this
area in this way already. 

Instead I am thinking we should see if we can
organize existing designs accoding to the 
design space we anticipate needing for
a "scalable adaptive" framework.

For example, in the SAM RG charter we list
a few aspects of scalability or other
design dimensions - 

highly dynamic group membership
limited-resource nodes and access links
operation in mobile networks
integration with QoS mechanisms
adaptation schemes which consider group-related factors, such as group size, number of sources, membership dynamics, sensitivity to delay, amount of state, state update rate, application data rate, and other application-specific parameters, as well as network-related factors, such as dynamics of topology, carrying capacity, and connectivity.

So then the top-level outline becomes:
1. Some dimensions of the SAM Design Space
2. Categorization of multicast systems
    according to the design space

We can select a small subset of the design space to start with.
Ideally these are motivated by application requirements.
As we iterate we can see whether this approach is
useful, whether some dimensions are redundant, etc.

John

-----Original Message-----
From: Jun Lei [mailto:[email-masked]]
Sent: Monday, July 17, 2006 12:09 PM
To: John Buford
Cc: [email-masked]; [email-masked]
Subject: Re: survey ID (was RE: [SAM] Slides for "SAM requirements")

  Dear John, all:
       As promised, Xiaoming and I prepared the ToC for the Survey ID. 
It would be to start (after an introduction, the terminology and 
abbreviations) with briefly stating existing problems. Then a general 
classification of non-network layer multicast solutions is proposed.
      After the *overall* description, selected proposals belonging to 
the identified three categories (i.e. application layer multicast (ALM), 
Overlay Multicast (OM) and hybrid multicast) of multicast solutions are 
discussed respectively.
       The evaluation metrics are presented before *summary*, in which a 
kind of summary tables against selected set of metrics could be 
provided. Lastly, the security aspects need to considered (as required 
in all I-Ds, but may also worth looking at issues related to MC).

       What do you feel about this ToC proposal? We would like to hear 
your comments and suggestions before sending to the list for discussions.

PS: As we are engaged in a EU-project, some concerned work might be 
closely related with this review/survey. Therefore, I am glad to 
contribute into some contents if possible. Likely, section 4, 5 could be 
accounted into my work.

Cheers

Jun

> Jun, ok great. John
>  
> On Jul 14, 2006 11:15 AM, Jun Lei <[email-masked]>
> wrote:
> 
> 
>>Dear John, all:
>>
>>
>>>Jun,
>>>Please see the last slide on Next Steps
>>>in the ALM/OM survey slides.
>>>This pertains to producing a survey
>>>ID.
>>>
>>>Let's discuss on the email list
>>>an outline of such an ID that reviews
>>>existing ALM/OM/hybrid systems
>>>for use in a potential SAM
>>>framework.
>>>
>>
>>Great. Then, I would like to prepare a Table of Contents (ToC) for the
>>survey draft before next week. I hope that it will be helpful to SAM
>>survey ID.
>>
>>Best Regards
>>Jun
>>
>>>John
>>>
>>>-----Original Message-----
>>>From: Jun Lei [mailto:[email-masked]]
>>>Sent: Friday, July 14, 2006 4:10 AM
>>>To: Yuji -UG- Imai
>>>Cc: [email-masked]
>>>Subject: Re: [SAM] Slides for "SAM requirements".
>>>
>>>
>>>Dear UG, all:
>>>Unfortunately, I was not in the ietf66 meeting as I had another
>>>meeting in Athens. Anyway, I will continue the work in SAM and
>>>all-related issues.
>>>
>>>It would be nice to get your help at any chance. I mean we could
>>>exchange our minds and contribute to SAM as we could.
>>>
>>>Best Regards
>>>
>>>Jun
>>>
>>>
>>>
>>>>Jun,
>>>>
>>>>I apologize not to see you after meeting. But if you still interested
>>>>in SAM and improvement requirement draft, please let us help.
>>>>
>>>>I will leave Montreal 11 AM so I just visit IETF venue only 30 min.
>>>>If you eventually see me, please let me make greeting.
>>>>
>>>>Regards,
>>>>--
>>>>ug
>>>>
>>>>
>>>>On 7/13/06, Jun Lei <[email-masked]> wrote:
>>>>
>>>>
>>>>
>>>>>Hi, Yuji, all:
>>>>>So glad to receive your slides.
>>>>>
>>>>>For the part of "necessities of these requirements", i.e. "the
>>>>>reason why these requirements are important", I would like to give
>>>>>my
>>>>>hands in any case. We could discuss in details after this meeting.
>>>>>
>>>>>Best Regards
>>>>>
>>>>>Jun
>>>>>
>>>>>
>>>>>
>>>>>
>>>>>>Hi, all.
>>>>>>
>>>>>>Here is a pdf of my presentation.
>>>>>>
>>>>>>http://www.xcast.jp/samrg/SAM-requirements-IETF66-02.pdf
>>>>>
>>>>>
>>>>>--
>>>>>Jun Lei
>>>>>PhD Student
>>>>>
>>>>>Address:
>>>>>Georg-August-Universitaet Goettingen
>>>>>Institut fuer Informatik
>>>>>Telematics Group
>>>>>Lotzestrasse 16-18
>>>>>37083 Goettingen
>>>>>
>>>>>
>>>>>Fax: +49 (551) 39-1 44 03
>>>>>Tel: +49 (551) 39-1 35 78
>>>>>
>>>>>Email: [email-masked]
>>>>>
>>>>
>>>>
>>>
>>
>>--
>>Jun Lei
>>PhD Student
>>
>>Address:
>>Georg-August-Universitaet Goettingen
>>Institut fuer Informatik
>>Telematics Group
>>Lotzestrasse 16-18
>>37083 Goettingen
>>
>>
>>Fax: +49 (551) 39-1 44 03
>>Tel: +49 (551) 39-1 35 78
>>
>>Email: [email-masked]

-- 
Jun Lei
PhD Student

Address:
Georg-August-Universitaet Goettingen
Institut fuer Informatik
Telematics Group
Lotzestrasse 16-18
37083 Goettingen

Fax: +49 (551) 39-1 44 03
Tel: +49 (551) 39-1 35 78

Email: [email-masked]

_______________________________________________
SAM mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sam